Bug 19647 - Move patron lists templates JS to the footer
Summary: Move patron lists templates JS to the footer
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17858 19682 19709 19627 19653 19654 19656 19672 19679 19680 19710
  Show dependency treegraph
 
Reported: 2017-11-17 16:44 UTC by Owen Leonard
Modified: 2017-12-14 17:51 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19647: Move patron lists templates JS to the footer (14.21 KB, patch)
2017-11-17 16:56 UTC, Owen Leonard
Details | Splinter Review
Bug 19647: Move patron lists templates JS to the footer (14.32 KB, patch)
2017-11-17 21:37 UTC, Dominic Pichette
Details | Splinter Review
Bug 19647: Move patron lists templates JS to the footer (14.38 KB, patch)
2017-12-06 14:49 UTC, Josef Moravec
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-11-17 16:44:49 UTC
In order to conform to best practices for performance, staff client template JavaScript should be in the footer instead of the header.

This patch will do so for the patron lists templates.
Comment 1 Owen Leonard 2017-11-17 16:56:00 UTC Comment hidden (obsolete)
Comment 2 Dominic Pichette 2017-11-17 20:01:34 UTC
Looks good to me! I'm having trouble signing it off though:
Failed to attach patch to bug 19647, status=200

Maybe if someone else could attach it...
Comment 3 Dominic Pichette 2017-11-17 21:37:18 UTC
Created attachment 69211 [details] [review]
Bug 19647: Move patron lists templates JS to the footer

This patch modifies the staff client patron lists templates so that
JavaScript is included in the footer instead of the header.

This patch adds a new JS file, tools-menu.js, which will be added to
each template which has the Tools sidebar menu. Highlighting of the
current page in the sidebar menu will be broken for pages which have not
been modified to use this file.

To test, apply the patch and test the JavaScript-driven features of
each modified template: All button controls, DataTables functionality,
form validation, etc.
resolved the issue, sorry about that, everything is working fine!Signed-off-by: Dominic Pichette <dominic@inlibro.com>
Comment 4 Josef Moravec 2017-12-06 14:49:02 UTC
Created attachment 69556 [details] [review]
Bug 19647: Move patron lists templates JS to the footer

This patch modifies the staff client patron lists templates so that
JavaScript is included in the footer instead of the header.

This patch adds a new JS file, tools-menu.js, which will be added to
each template which has the Tools sidebar menu. Highlighting of the
current page in the sidebar menu will be broken for pages which have not
been modified to use this file.

To test, apply the patch and test the JavaScript-driven features of
each modified template: All button controls, DataTables functionality,
form validation, etc.
resolved the issue, sorry about that, everything is working fine!Signed-off-by: Dominic Pichette <dominic@inlibro.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Jonathan Druart 2017-12-11 14:36:25 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2017-12-14 17:51:13 UTC
Awesome work all! Skipping for 17.11, enhancement